lkml.org 
[lkml]   [2017]   [Jun]   [16]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH] selftests: lib: Skip tests on missing test modules
Date
With older kernels, printf.sh and bitmap.sh fail because they can't find
the respective test modules they are looking for.

Add the skip portion on missing the respective test_XXX module. Error out
the same way as prime_numbers.sh.

Signed-off-by: Sumit Semwal <sumit.semwal@linaro.org>
---
tools/testing/selftests/lib/bitmap.sh | 5 +++++
tools/testing/selftests/lib/printf.sh | 5 +++++
2 files changed, 10 insertions(+)

diff --git a/tools/testing/selftests/lib/bitmap.sh b/tools/testing/selftests/lib/bitmap.sh
index 2da187b6ddad..85294b4a0861 100755
--- a/tools/testing/selftests/lib/bitmap.sh
+++ b/tools/testing/selftests/lib/bitmap.sh
@@ -1,6 +1,11 @@
#!/bin/sh
# Runs bitmap infrastructure tests using test_bitmap kernel module

+if ! /sbin/modprobe -q test_bitmap; then
+ echo "bitmap: [SKIP]"
+ exit 77
+fi
+
if /sbin/modprobe -q test_bitmap; then
/sbin/modprobe -q -r test_bitmap
echo "bitmap: ok"
diff --git a/tools/testing/selftests/lib/printf.sh b/tools/testing/selftests/lib/printf.sh
index 4fdc70fe6980..024e749a83d4 100755
--- a/tools/testing/selftests/lib/printf.sh
+++ b/tools/testing/selftests/lib/printf.sh
@@ -1,6 +1,11 @@
#!/bin/sh
# Runs printf infrastructure using test_printf kernel module

+if ! /sbin/modprobe -q test_printf; then
+ echo "printf: [SKIP]"
+ exit 77
+fi
+
if /sbin/modprobe -q test_printf; then
/sbin/modprobe -q -r test_printf
echo "printf: ok"
--
2.7.4
\
 
 \ /
  Last update: 2017-06-16 07:29    [W:0.081 / U:0.088 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site